import { type Base, genBase } from "./_base"

export interface Medication extends Base {
  encounter_id: number
  pharmachist_id: number
  issuedAt?: string
  status_code?: string
}

export function genMedication(): Medication {
  return {
    ...genBase(),
    encounter_id: 0,
    pharmachist_id: 0,
  }
}

